package com.fs.qw.mapper;

import com.fs.qw.domain.FsCompanyExternalPayRefund;
import org.apache.ibatis.annotations.Param;
import java.util.List;

public interface FsCompanyExternalPayRefundMapper {

    int insertRefund(FsCompanyExternalPayRefund refund);

    int updateRefund(FsCompanyExternalPayRefund refund);

    FsCompanyExternalPayRefund selectByTransactionId(@Param("transactionId") String transactionId);

    FsCompanyExternalPayRefund selectByOutRefundNo(@Param("outRefundNo") String outRefundNo);

    List<FsCompanyExternalPayRefund> selectRefundList(FsCompanyExternalPayRefund refund);
}